SOURCES: system-tools-backends.init (NEW) - new

megabajt megabajt at pld-linux.org
Mon Sep 10 20:49:49 CEST 2007


Author: megabajt                     Date: Mon Sep 10 18:49:49 2007 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- new

---- Files affected:
SOURCES:
   system-tools-backends.init (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/system-tools-backends.init
diff -u /dev/null SOURCES/system-tools-backends.init:1.1
--- /dev/null	Mon Sep 10 20:49:49 2007
+++ SOURCES/system-tools-backends.init	Mon Sep 10 20:49:44 2007
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# system-tools-backends
+#
+# chkconfig:	345 23 77
+#
+# description:	This is a daemon for system administration. It is \
+#		controlled by the programs in gnome-system-tools
+#
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+start() {
+	# Check if the service is already running?
+	if [ ! -f /var/lock/subsys/system-tools-backends ]; then
+		msg_starting system-tools-backends
+		daemon system-tools-backends
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/system-tools-backends
+	else
+		msg_already_running system-tools-backends
+	fi
+}
+
+stop() {
+	if [ -f /var/lock/subsys/system-tools-backends ]; then
+		# Stop daemons.
+		msg_stopping system-tools-backends
+		killproc system-tools-backends
+		rm -f /var/lock/subsys/system-tools-backends
+	else
+		msg_not_running system-tools-backends
+	fi
+}
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+  	start
+	;;
+  stop)
+  	stop
+	;;
+  restart)
+	stop
+	start
+	;;
+  status)
+	status system-tools-backends
+	RETVAL=$?
+	;;
+  *)
+	msg_usage "$0 {start|stop|restart|status}"
+	exit 3
+esac
+
+exit $RETVAL
================================================================


More information about the pld-cvs-commit mailing list